> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simplepay.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# List active business insights (intelligence)



## OpenAPI

````yaml /openapi.json get /v1/intelligence/insights
openapi: 3.1.0
info:
  title: SimplePay API
  version: '2026-06-13'
  description: >-
    Contrato público para integrar SimplePay desde un backend. Incluye
    únicamente operaciones para comercios y administración protegida de
    credenciales.
servers:
  - description: Live
    url: https://api.simplepay.mx
  - description: Sandbox
    url: https://api.test.simplepay.mx
security:
  - SimplePayApiKey: []
tags:
  - name: API keys
  - name: Hosted Checkout
  - name: Payment Links
  - name: Payments
  - name: Refunds
  - name: Webhooks
  - name: Digital Catalog
  - name: Payment Policy
  - name: Reporting
  - name: Workspace
  - name: Customer Hub
  - name: Bookable Payments
  - name: Table Pay
  - name: Physical Checkout
  - name: In-person Payments
  - name: Terminal
  - name: Tap to Pay
  - name: Ticketing
  - name: Admission Control
  - name: Intelligence
externalDocs:
  description: SimplePay developer documentation
  url: https://docs.simplepay.mx
paths:
  /v1/intelligence/insights:
    get:
      tags:
        - Intelligence
      summary: List active business insights (intelligence)
      operationId: getIntelligenceInsights
      responses:
        '200':
          description: >-
            Active, unexpired insights for the authenticated tenant environment
            (evidence stays internal).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntelligenceInsightsResponse'
components:
  schemas:
    IntelligenceInsightsResponse:
      type: object
      additionalProperties: false
      required:
        - object
        - data
      properties:
        object:
          const: simplepay.v1.intelligence.insights
        data:
          type: array
          maxItems: 100
          items:
            $ref: '#/components/schemas/IntelligenceInsight'
    IntelligenceInsight:
      type: object
      additionalProperties: false
      required:
        - id
        - category
        - severity
        - title
        - summary
        - recommendation
        - generated_at
        - expires_at
        - rule_key
      properties:
        id:
          type:
            - string
            - 'null'
          format: uuid
        category:
          type:
            - string
            - 'null'
          enum:
            - alerts
            - customers
            - finance
            - overview
            - products_channels
            - terminal
            - null
        severity:
          type:
            - string
            - 'null'
          enum:
            - critical
            - info
            - success
            - warning
            - null
        title:
          type:
            - string
            - 'null'
          maxLength: 200
        summary:
          type:
            - string
            - 'null'
          maxLength: 1000
        recommendation:
          type:
            - string
            - 'null'
          maxLength: 1000
        generated_at:
          type:
            - string
            - 'null'
          format: date-time
        expires_at:
          type:
            - string
            - 'null'
          format: date-time
        rule_key:
          type:
            - string
            - 'null'
          pattern: ^[a-z][a-z0-9_]{1,62}$
  securitySchemes:
    SimplePayApiKey:
      type: http
      scheme: bearer

````